#ifndef _SOCKLIB_SOCKETS_H
#define _SOCKLIB_SOCKETS_H

#include <stdio.h>

extern void *Init(int version);
extern char *GetPeerIdentity(void *d);
extern int   Open(void *d);
extern void  Close(void *d);
extern int   Connect(void *d, const char *hostname, int port);
extern int   Bind(void *d, int port, int backlog);
extern void *Accept(void *d);
extern int   Upgrade(void *d);
extern int   Send(void *d, void *buffer, int buflen);
extern int   SendUpdate(void *d);
extern int   Receive(void *d, void **buffer, int *buflen);
extern int   SetLog(void *d, FILE *f);
extern void *Duplicate(void *d);
extern void  SetHost(void *, const char *);
#endif
